import { HTMLWidget } from "./HTMLWidget.ts";
export declare class Image extends HTMLWidget {
    private _imgElement;
    constructor();
    enter(domNode: any, element: any): void;
    update(domNode: any, element: any): void;
    styleImageElement(): void;
    exit(domNode: any, element: any): void;
}
export interface Image {
    source(): string;
    source(_: string): this;
    sizing(): "actual" | "fit" | "custom";
    sizing(_: "actual" | "fit" | "custom"): this;
    customWidth(): string;
    customWidth(_: string): this;
    customHeight(): string;
    customHeight(_: string): this;
    lockAspectRatio(): boolean;
    lockAspectRatio(_: boolean): this;
    alignment(): "center" | "origin";
    alignment(_: "center" | "origin"): this;
}
